"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "instrumentCfWorker", {
    enumerable: true,
    get: function() {
        return instrumentCfWorker;
    }
});
const _otelcfworkers = require("@microlabs/otel-cf-workers");
const _consts = require("./consts");
const _parsehighlightheader = require("./parse-highlight-header");
function instrumentCfWorker(handler, config) {
    const otelConfig = (_env, trigger)=>{
        return {
            exporter: {
                url: _consts.EXPORT_URL
            },
            postProcessor: (spans)=>{
                return spans.map((span)=>{
                    span.attributes["highlight.project_id"] = _consts.HIGHLIGHT_PROJECT_ID;
                    span.attributes["highlight.source"] = "backend";
                    if (trigger instanceof Request) {
                        const attrs = (0, _parsehighlightheader.parseHighlightFromHeaders)(trigger.headers, {
                            get: (headers, key)=>headers.get(key)
                        });
                        if (attrs) {
                            span.attributes["highlight.session_id"] = attrs["highlight.session_id"];
                            span.attributes["highlight.trace_id"] = attrs["highlight.trace_id"];
                        }
                    }
                    return span;
                });
            },
            service: {
                name: config.serviceName
            }
        };
    };
    return (0, _otelcfworkers.instrument)(handler, otelConfig);
}
