"use client";
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    identifyUser: function() {
        return identifyUser;
    },
    retrieveUserApp: function() {
        return retrieveUserApp;
    },
    useIdentifyUser: function() {
        return useIdentifyUser;
    },
    useIdentifyUserFetch: function() {
        return useIdentifyUserFetch;
    }
});
const _sdk = require("@whop-apps/sdk");
const _react = require("react");
const _highlight = require("./highlight");
async function retrieveUserApp() {
    const user = await _sdk.WhopAPI.me({
        token: null
    }).GET("/me", {});
    if (!user.isOk) return null;
    return user.data;
}
function identifyUser(user) {
    if (!user) return;
    _highlight.H.identify(user.id, {
        ...user,
        ...user.profile_pic_url && {
            avatar: user.profile_pic_url
        }
    });
}
function useIdentifyUser({ user }) {
    (0, _react.useEffect)(()=>{
        identifyUser(user);
    }, [
        user
    ]);
}
function useIdentifyUserFetch(enabled) {
    (0, _react.useEffect)(()=>{
        if (enabled === false) return;
        retrieveUserApp().then(identifyUser).catch(()=>null);
    }, [
        enabled
    ]);
}
