"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "vercelOtelRegister", {
    enumerable: true,
    get: function() {
        return vercelOtelRegister;
    }
});
const _otel = require("@vercel/otel");
const _consts = require("./consts");
const _parsehighlightheader = require("./parse-highlight-header");
function vercelOtelRegister({ serviceName }) {
    return function register() {
        (0, _otel.registerOTel)({
            serviceName,
            instrumentationConfig: {
                fetch: {
                    propagateContextUrls: [
                        "*"
                    ]
                }
            },
            traceExporter: new _otel.OTLPHttpJsonTraceExporter({
                url: _consts.EXPORT_URL
            }),
            attributes: {
                "highlight.project_id": _consts.HIGHLIGHT_PROJECT_ID,
                "highlight.source": "backend"
            },
            attributesFromHeaders: _parsehighlightheader.parseHighlightFromHeaders
        });
    };
}
