"use client";
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "WhopAppsObservabilityProvider", {
    enumerable: true,
    get: function() {
        return WhopAppsObservabilityProvider;
    }
});
const _client = require("@highlight-run/next/client");
const _react = _interop_require_default(require("react"));
const _consts = require("./consts");
const _errorboundary = require("./error-boundary");
const _identifyuser = require("./identify-user");
function _interop_require_default(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const networkRecordingConfig = {
    enabled: true,
    recordHeadersAndBody: true
};
function WhopAppsObservabilityProvider({ serviceName, children }) {
    const enabled = process.env.NEXT_PUBLIC_VERCEL_ENV === "production";
    (0, _identifyuser.useIdentifyUserFetch)(enabled);
    if (!enabled) {
        if (typeof window !== "undefined") {
            console.warn("@whop-core/observability — not running in dev mode");
        }
        return _react.default.createElement(_react.default.Fragment, null, children);
    }
    return _react.default.createElement(_errorboundary.ErrorBoundary, null, _react.default.createElement(_client.HighlightInit, {
        projectId: _consts.HIGHLIGHT_PROJECT_ID,
        serviceName: serviceName,
        environment: process.env.NEXT_PUBLIC_VERCEL_ENV,
        tracingOrigins: true,
        inlineStylesheet: true,
        inlineImages: false,
        enablePerformanceRecording: true,
        recordCrossOriginIframe: false,
        privacySetting: "none",
        networkRecording: networkRecordingConfig,
        enablePromisePatch: false
    }), children);
}
