import { OTLPHttpJsonTraceExporter, registerOTel } from "@vercel/otel";
import { EXPORT_URL, HIGHLIGHT_PROJECT_ID } from "./consts.mjs";
import { parseHighlightFromHeaders } from "./parse-highlight-header.mjs";
export function vercelOtelRegister({ serviceName }) {
    return function register() {
        registerOTel({
            serviceName,
            instrumentationConfig: {
                fetch: {
                    propagateContextUrls: [
                        "*"
                    ]
                }
            },
            traceExporter: new OTLPHttpJsonTraceExporter({
                url: EXPORT_URL
            }),
            attributes: {
                "highlight.project_id": HIGHLIGHT_PROJECT_ID,
                "highlight.source": "backend"
            },
            attributesFromHeaders: parseHighlightFromHeaders
        });
    };
}
