"use client";
import { HighlightInit } from "@highlight-run/next/client";
import React from "react";
import { HIGHLIGHT_PROJECT_ID } from "./consts.mjs";
import { ErrorBoundary } from "./error-boundary.mjs";
import { useIdentifyUserFetch } from "./identify-user.mjs";
const networkRecordingConfig = {
    enabled: true,
    recordHeadersAndBody: true
};
export function WhopAppsObservabilityProvider({ serviceName, children }) {
    const enabled = process.env.NEXT_PUBLIC_VERCEL_ENV === "production";
    useIdentifyUserFetch(enabled);
    if (!enabled) {
        if (typeof window !== "undefined") {
            console.warn("@whop-core/observability — not running in dev mode");
        }
        return React.createElement(React.Fragment, null, children);
    }
    return React.createElement(ErrorBoundary, null, React.createElement(HighlightInit, {
        projectId: HIGHLIGHT_PROJECT_ID,
        serviceName: serviceName,
        environment: process.env.NEXT_PUBLIC_VERCEL_ENV,
        tracingOrigins: true,
        inlineStylesheet: true,
        inlineImages: false,
        enablePerformanceRecording: true,
        recordCrossOriginIframe: false,
        privacySetting: "none",
        networkRecording: networkRecordingConfig,
        enablePromisePatch: false
    }), children);
}
